Bug 590733 - Review Request: bsp - The most popular node builder for Doom
Summary: Review Request: bsp - The most popular node builder for Doom
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 15:13 UTC by Gwyn Ciesla
Modified: 2010-05-13 19:27 UTC (History)
5 users (show)

Fixed In Version: bsp-5.2-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-13 19:23:09 UTC
dan: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Gwyn Ciesla 2010-05-10 15:13:32 UTC
Before you can play a level that you have created, you must use a node
builder to create the data that Doom will use to render the level.
Doom uses a rendering algorithm based on a binary space partition,
otherwise known as a BSP tree. This is stored in a data lump called
NODES in the WAD file. This data structure must be pre-calculated and
stored in the WAD file before the level can be played; the tool that
does this is called a node builder.

BSP is one of several node builders that can do this. There are
others: idbsp is the original node builder that id Software used on
the original Doom levels, for instance. BSP was the best known and
most widely used node builder throughout the height of the Doom
editing craze in the mid 1990s.

SPEC: http://zanoni.jcomserv.net/fedora/bsp/bsp.spec
SRPM: http://zanoni.jcomserv.net/fedora/bsp/bsp-5.2-1.fc12.src.rpm

FYI:  I know there's an issue with debuginfo missing sources.  I've tried a few things to no avail, I'm hoping a reviewer or someone else can assist.

Comment 1 Gwyn Ciesla 2010-05-10 15:14:41 UTC
CCing wart, freedoom and yadex maintainer.

Comment 2 Chen Lei 2010-05-10 16:52:02 UTC
Maybe this can help you to fix the debuginfo subpackage.

make %{?_smp_mflags}
->
make AM_CFLAGS='%{optflags}' %{?_smp_mflags}

Comment 3 Dan Horák 2010-05-10 17:09:36 UTC
(In reply to comment #2)
> Maybe this can help you to fix the debuginfo subpackage.
> 
> make %{?_smp_mflags}
> ->
> make AM_CFLAGS='%{optflags}' %{?_smp_mflags}    

Yep, this could help. The primary cause is most likely overriding of the Fedora's standard CFLAGS by bsp's own set during the configure run.

Comment 4 Gwyn Ciesla 2010-05-10 17:11:02 UTC
Yes, that did it, thanks!

SPEC: http://zanoni.jcomserv.net/fedora/bsp/bsp.spec
SRPM: http://zanoni.jcomserv.net/fedora/bsp/bsp-5.2-2.fc12.src.rpm

Comment 5 Dan Horák 2010-05-11 08:14:39 UTC
formal review is here, see the notes explaining OK* and BAD statuses below:

OK      source files match upstream:
            52af16dfa28c7838d9503a9153d93bfa031ac169  bsp-5.2.tar.bz2
OK      package meets naming and versioning guidelines.
OK      specfile is properly named, is cleanly written and uses macros consistently.
OK      dist tag is present.
OK      license field matches the actual license.
OK      license is open source-compatible (GPLv2+). License text included in package.
OK      latest version is being packaged.
OK      BuildRequires are proper.
BAD     compiler flags are appropriate.
OK      %clean is present.
OK      package builds in mock (Rawhide/x86_64).
OK      debuginfo package looks complete.
OK*     rpmlint is silent.
OK      final provides and requires look sane.
N/A     %check is present and all tests pass.
OK      no shared libraries are added to the regular linker search paths.
OK      owns the directories it creates.
OK      doesn't own any directories it shouldn't.
OK      no duplicates in %files.
OK      file permissions are appropriate.
OK      no scriptlets present.
OK      code, not content.
OK      documentation is small, so no -docs subpackage is necessary.
OK      %docs are not necessary for the proper functioning of the package.
OK      no headers.
OK      no pkgconfig files.
OK      no libtool .la droppings.
OK      not a GUI app.

- there is still an issue with the compiler flags, now it mixes the Fedora set with bsp's own in a not so compatible way, using "make CFLAGS='%{optflags} %{?_smp_mflags}'" that overrides the bsp's ones completely is in my opinion a better variant
- rpmlint complains a bit
bsp.x86_64: W: spelling-error %description -l en_US pre -> per, ore, pee
bsp.src: W: spelling-error %description -l en_US pre -> per, ore, pee
    => false positive, can be ignored

Comment 7 Dan Horák 2010-05-11 15:08:17 UTC
Oh, I see you copy&pasted the make command line with my typo (the closing apostrophe is on wrong place) in it, please update it to 
make CFLAGS='%{optflags}' %{?_smp_mflags}
before committing.

This package is APPROVED.

Comment 8 Gwyn Ciesla 2010-05-11 15:30:16 UTC
Whoops.  Thanks for the review, I'll fix that. :)

New Package CVS Request
=======================
Package Name: bsp
Short Description: The most popular node builder for Doom
Owners: limb
Branches: F-11 F-12 F-13
InitialCC:

Comment 9 Kevin Fenzi 2010-05-12 17:24:01 UTC
CVS done (by process-cvs-requests.py).

Comment 10 Fedora Update System 2010-05-12 19:27:07 UTC
bsp-5.2-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bsp-5.2-4.fc12

Comment 11 Fedora Update System 2010-05-12 19:27:11 UTC
bsp-5.2-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bsp-5.2-4.fc13

Comment 12 Fedora Update System 2010-05-12 19:27:16 UTC
bsp-5.2-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bsp-5.2-4.fc11

Comment 13 Fedora Update System 2010-05-13 19:23:04 UTC
bsp-5.2-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-05-13 19:26:14 UTC
bsp-5.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-05-13 19:27:19 UTC
bsp-5.2-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.